OpenNMS API 1.2.9

## org.opennms.netmgt.capsd.jmx
Interface CapsdMBean

All Known Implementing Classes:
  Capsd

public interface CapsdMBean

Method Summary
`int` `getStatus()`
`java.lang.String` `getStatusText()`
`void` `init()`
`void` `rescanInterfaceParent(java.lang.Integer nodeId)` This method is used to force an existing node to be capability rescaned.
`void` `scanSuspectInterface(java.lang.String ifAddr)` This method is used by other managed beans to forward an IP Address for capability scanning.
`void` `start()`
`java.lang.String` `status()`
`void` `stop()`

Method Detail

### init

    public void init()

### start

    public void start()

### stop

    public void stop()

### getStatus

    public int getStatus()

### getStatusText

    public java.lang.String getStatusText()

### status

    public java.lang.String status()

### scanSuspectInterface

    public void scanSuspectInterface(java.lang.String ifAddr)
                              throws java.net.UnknownHostException

  This method is used by other managed beans to forward an IP Address for capability scanning. The If the interface converts properly then it is scanned as a suspect interface for the discovery of all the services and other interfaces that exists on the node.

  Parameters:
    `ifAddr` - The address of the suspect interface.
  Throws:
    `java.net.UnknownHostException` - Thrown if the address cannot be converted to aa proper internet address.

### rescanInterfaceParent

    public void rescanInterfaceParent(java.lang.Integer nodeId)

  This method is used to force an existing node to be capability rescaned. The main reason for its existance is as a hook for JMX managed beans to invoke forced rescans allowing the main rescan logic to remain in the capsd agent.

  Parameters:
    `nodeId` - The node identifier from the database.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.